Subject: RE: [External] : Re: bug#71801: emacs 29.4 windows binaries

From: Drew Adams <[email-masked]>
Date: Fri, 5 Jul 2024 16:04:40 +0000

> > Thanks for doing this, Corwin.
> >
> 
> My pleasure, Drew.  Thanks for your kind words, as always.
> 
> This is completed and I'm able to see the binaries for Emacs 29.4 from
> the (primary) FTP.
> 
> https://urldefense.com/v3/__https://ftp.gnu.org/gnu/emacs/windows/emacs-
> 29/?C=M;O=D__;!!ACWV5N9M2RV99hQ!MXgVi9bfKI0IpDwAqhYoS6smPUL4j69nJzkzkdQaOq
> Tx8pA9Uh48iIMrO5o9dItg8XubL1e_59nvKx0$
> 
> TIA for confirmation these work for others, given which this report
> can be closed.

Thanks, Corwin.  I started it with a Windows
shortcut that uses "Target:"

Z:\path\to\bin\runemacs.exe -Q --debug-init "w:\path\to\a\dir"

and that uses "Start in:" w:\path\to\a\dir

It seems to start OK but I get this warning repeated
periodically (forever) in buffer *Warnings*:

 ■  Warning (comp): x86_64-w64-mingw32-gcc-11.3.0: fatal error: cannot execute 'as': CreateProcess: No such file or directory

I haven't noticed other problems yet (with -Q), but
is the continual emission of that warning expected?

Clicking that black, square icon pops up this
question as a menu:

  Suppress `comp' warnings?
  _________________________

  Yes, Ignore `Comp' Warnings Completely
  No, Just Disable Showing Them
  Quit And Do Nothing

I have no idea what any of that means.  It doesn't
seem very helpful - no link to any other info etc.

I also notice that if I put point on that icon and
hit RET I get the question in the minibuffer, but
with the additional key `?' highlighted (no such
option in the menu version).

I hit `?' and this is shown in buffer *Multiple
Choice Help*:

Suppress `comp' warnings? 

y: yes, ignore `comp'    n: no, just disable      q: quit and do
warnings completely      showing them             nothing

That "help" text seems worse than useless.

I guess this "help" is new UI intended to somehow
help users.  To me it seems only to confuse and
obfuscate, and in a fairly heavy-handed way.